c
c common for datacard values
c
c card    variable   
c
c npass   n_pass    i  number of analysis passes (<4)
c nevtm   n_evtmax  i  maximum number of events to analyse per pass
c runpd   irunpd    i  run period (1=may96, 2=jul96, 3=sep96)
c mpeds   make_ped  i  make pedestal flag (>0 make ped, >1 output ped)
c cpeds   scut_ped  r  sigma cut for pedestal production
c rpeds   k_rdped   i  read pedestal file flag (>0 = read ped)
c rdcal   k_rdcal   i  read calibration file flag (>0 = read cal)
c shist   k_syshis  i  system histograms flag (>0 = produce them)
c lunpe   lunped    i  logical unit for pedestal file   
c lunca   luncal    i  logical unit for calibration file
c lunze   lunzeb    i  logical unit for zebra bank file 
c lunhi   lunhis    i  logical unit for system histogram file
c
      integer n_pass
      integer n_evtmax
      integer irunpd
      integer make_ped
      real    scut_ped
      integer k_rdped
      integer k_rdcal
      integer k_syshis
      integer lunped
      integer luncal
      integer lunzeb
      integer lunhis
c
      common /datcom/ n_pass,
     +                n_evtmax,
     +                irunpd,
     +                make_ped,
     +                scut_ped,
     +                k_rdped,
     +                k_rdcal,
     +                k_syshis,
     +                lunped,
     +                luncal,
     +                lunzeb,
     +                lunhis
c

