c
c shared parameters
c
c i_adc_dim       max adc channel number used (for array dimension)
c i_adc_max       max adc value
c
c i_mod_max       max number of modules       (for array dimension)
c i_seg_max       max number of segments      (for array dimension)
c i_pad_max       max number of pads          (for array dimension)
c
c i_eta_max       max number of towers in eta (for array dimension)
c i_phi_max       max number of towers in phi (for array dimension)
c i_z_max         max number of readout depth (for array dimension)
c
      integer i_adc_dim
      parameter (i_adc_dim = 160) !max adc channel number
      integer adcmax
      parameter (adcmax = 4095) !max adc value
c
      integer i_mod_max, i_seg_max, i_pad_max
      parameter (i_mod_max = 2)
      parameter (i_seg_max = 5)
      parameter (i_pad_max = 16)
c
      integer i_eta_max, i_phi_max, i_z_max
      parameter (i_eta_max = 12)
      parameter (i_phi_max = 4)
      parameter (i_z_max   = 5)
c
