      PROGRAM hec_adc
c
c program to provide simple access to atlas hadronic endcap 
c testbeam data
c
c version 2.0   29/03/97
c
c see file hec_adc.versions for an update of the code versions
c see file hec_adc.readme for information
c
c please send comments to lefebvre@uvic.ca
c
      implicit none
c
c zebra and paw commons
c
      include'./inc/hec_buf.inc'
c
c user datacard values common
c
      include'./inc/hec_datacard.inc'
c
c initialization
c
      call hec_ini
c
c make pedestals if requested
c
      if (make_ped .gt. 0) call hec_ped
c
c produce system histograms if requested
c
      if (k_syshis .gt. 0) call hec_his
c
c pass 1 over data set for user
c
      if (n_pass .ge. 1) call hec_pass1
c
c pass 2 over data set for user
c
      if (n_pass .ge. 2) call hec_pass2
c
c pass 3 over data set for user
c
      if (n_pass .ge. 3) call hec_pass3
c
c termination
c
      call hec_ter
c
      print *,' *** hec_adc program normal termination'
      stop
      end
