      subroutine hec_his_out
c
c output and delete system histograms
c
      implicit none
c
c system histogram id common
c
      include'./inc/hec_his_sys.inc'
c
c common for datacard values
c
      include'./inc/hec_datacard.inc'
c
c geometry correspondence tables common
c
      include'./inc/hec_par.inc'
      include'./inc/hec_geo.inc'
c
      integer istat, icycle
      integer i_z
      integer id
c
c open hbook file for system histograms
c
      call hropen(lunhis, 'hec_adc', 'hec_adc.hbook', 'n', 1024, istat)
      if (istat .ne. 0) then
        print *, '*** problem opening system histograms hbook file ***',
     +  istat
        stop
      endif
c
c output and delete system histograms
c
      call hrout(id_ped, icycle, ' ')
      call hdelet(id_ped)
      call hrout(id_ped_ic, icycle, ' ')
      call hdelet(id_ped_ic)
c
      call hrout(id_rms, icycle, ' ')
      call hdelet(id_rms)
      call hrout(id_rms_ic, icycle, ' ')
      call hdelet(id_rms_ic)
c
      do i_z = 1, i_z_used
        id = id_adc_z + i_z
        call hrout(id, icycle, ' ')
        call hdelet(id)
      enddo
c
c close the system histograms hbook file
c
      call hcdir('//hec_adc', ' ')
      call hldir(' ', 't')
      call hrend('hec_adc')
      close(lunhis)
c
      end

