      subroutine hec_his_pass1
c
c pass 1 over data to fill some system histograms
c
      implicit none
c
c user datacard values common
c
      include'./inc/hec_datacard.inc'
c
c zebra and hbook common
c
      include'./inc/hec_buf.inc'
c
c event header EVTH common
c
      include'./inc/hec_evth.inc'
c
c get zebra bank from file
c
      call hec_zebra
c
c read bank RUNH 
c
      call hec_runh
c
c loop over events
c
      print *, ' *** starting pass 1 for system histogram filling'
      i_event = 0
      do while (iquest(1) .eq. 0 .and. i_event .lt. n_evtmax)
        i_event = i_event + 1
        if (mod(i_event, 1000) .eq. 0 .or. i_event .eq. 1) then
          print *, ' *** starting event number ', i_event
        endif
c
c read bank EVTH
c
        call hec_evth
        if (iquest(1) .ne. 0) then
          i_event = i_event - 1
        else
c
c read bank BEAM
c
          call hec_beam
c
c read bank GEOE
c
          call hec_geoe
c
c process event
c
          call hec_evt
c
c system histograms analysis for a given event
c
          call hec_his_evt1
c
          call mzwipe(0)
        endif
      enddo                     ! enddo over events
      print *, ' *** events processed      ', i_event
c
c system histograms analysis at end of event loop
c
      call hec_his_ana1
c
c get ready for next pass over the data
c
      call fzendi(lunzeb, 'T')
      call fzinfo(lunzeb)
      rewind(lunzeb)
c
      print *, ' *** pass 1 done for system histogram filling'
c
      end

 
              
            
          
